Queue a temporary-by-default render from an inline HTML source bundle
Queue a temporary-by-default render from an inline HTML source bundle. Asynchronous project, template and inline render submission, status, cancellation and artifact access. Required API key scopes: `renders:create`.
Authorization
apiKeyAuth Request Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v2/renders" \ -H "Content-Type: application/json" \ -d '{ "source": { "format": "jsoncut-html", "version": 1, "id": "inline-video", "name": "Inline video", "width": 1920, "height": 1080, "fps": 30, "duration": 5, "html": "<main></main>", "css": "", "variables": [], "values": {} }, "kind": "video", "format": "mp4", "retention": "temporary" }'{ "success": true, "data": { "id": "render_01J", "projectId": "", "projectName": "Inline render", "kind": "image", "status": "queued", "progress": 0, "phase": "queued", "queuePosition": 1, "createdAt": "2026-08-25T09:15:00.000Z", "format": "png", "outputWidth": 1080, "outputHeight": 1080, "transparent": true }}